NameSampleCountersStream (Apache OpenNLP :: Core :: CLI 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.cmdline.namefind, class: NameSampleCountersStream

Package opennlp.tools.cmdline.namefind

# Class NameSampleCountersStream

java.lang.Object
opennlp.tools.util.FilterObjectStream<opennlp.tools.namefind.NameSample,opennlp.tools.namefind.NameSample>
opennlp.tools.cmdline.namefind.NameSampleCountersStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.namefind.NameSample>`

public class NameSampleCountersStream extends opennlp.tools.util.FilterObjectStream<opennlp.tools.namefind.NameSample,opennlp.tools.namefind.NameSample>
Counts tokens, sentences and names by type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Integer>`
  `getNameCounters()`
  `int`
  `getSentenceCount()`
  `int`
  `getTokenCount()`
  `void`
  `printSummary()`
  `opennlp.tools.namefind.NameSample`
  `read()`
  `void`
  `reset()`

  ### Methods inherited from class opennlp.tools.util.FilterObjectStream

  `close`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### read

    public opennlp.tools.namefind.NameSample read() throws IOException
    Throws:
      `IOException`

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Specified by:
      `reset` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.namefind.NameSample>`
    Overrides:
      `reset` in class `opennlp.tools.util.FilterObjectStream<opennlp.tools.namefind.NameSample,opennlp.tools.namefind.NameSample>`
    Throws:
      `IOException`
      `UnsupportedOperationException`

  - ### getSentenceCount

    public int getSentenceCount()

  - ### getTokenCount

    public int getTokenCount()

  - ### getNameCounters

    public Map<String,Integer> getNameCounters()

  - ### printSummary

    public void printSummary()